For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Introduction
    • Getting Started
    • Authentication
  • Guide
    • Common Code Patterns
    • Metrics
    • Glossary of Metrics
  • Data
  • Deal Management
      • POSTAdvanced Search
      • POSTBatch Lookup Deals
      • GETSearch Users
      • PUTSet User Deal Role
      • DELRemove User From Deal
      • POSTCreate Deal
      • GETDeals
      • GETSearch Deals
      • POSTSearch Deals Advanced
      • GETDeal
      • PUTUpdate Deal
      • DELDelete Deal
      • GETExtra Metadata
      • PUTSet Metadata
      • DELDelete Metadata
      • POSTOrder Scan
      • GETComparable Deals
      • POSTExtract Key Findings and Company Description from a scan PDF
      • POSTGenerate a customized investment data request
      • GETGet Inline Image
      • PUTUpload Inline Image
  • AI
  • User
    • POSTClient Access Token
  • Liveblocks
    • POSTGet Liveblocks Token
  • user_file
    • GETList User Files
    • POSTUpload User File
    • POSTNotify Submission
    • GETDownload User File
    • DELDelete User File
LogoLogo
Deal ManagementDeal

Set Metadata

PUT
/api/v1/group/:group_id/deal/:deal_id/extra-metadata/:metadata_tag
PUT
/api/v1/group/:group_id/deal/:deal_id/extra-metadata/:metadata_tag
$curl -X PUT https://app.termina.ai/api/v1/group/1/deal/1/extra-metadata/questions \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "deal_id": 1,
3 "meeting_time_utc": "2024-01-15T09:30:00Z",
4 "order_placed_time_utc": "2024-01-15T09:30:00Z",
5 "questions": {},
6 "risks": {}
7}
Create or update questions for a deal. If questions already exist for this deal, they will be updated. If no questions exist, they will be created. Limitations: - The metadata payload cannot exceed 2048 characters.
Was this page helpful?
Previous

Delete Metadata

Next
Built with

Create or update questions for a deal. If questions already exist for this deal, they will be updated. If no questions exist, they will be created.

Limitations:

  • The metadata payload cannot exceed 2048 characters.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

group_idintegerRequired
deal_idintegerRequired
metadata_tagenumRequired
Allowed values:

Request

This endpoint expects a map from strings to any or a list of any.
map from strings to anyRequired
OR
list of anyRequired

Response

Successful Response
deal_idinteger
meeting_time_utcstring or nullformat: "date-time"
order_placed_time_utcstring or nullformat: "date-time"
questionslist of any or map from strings to any or null
riskslist of any or map from strings to any or null

Errors

413
Content Too Large Error
422
Unprocessable Entity Error